AWA Agent Consult API
Handles agent consult work items.
This API requires the Advanced Work Assignment plugin (com.glide.awa) and the awa_integration_user role.
For more information about AWA, see Advanced Work Assignment.
Use the AWA Offer Work API to initiate a consult transfer to an agent or a queue.
AWA Agent Consult - PUT /now/awa/consult/end
Ends a consult work item.
When a document is consult transferred to an agent, the respective work item must be closed with the appropriate consult state, either Transferred or Ended.
A work item is a single piece of work handled by an AWA agent from start to finish. A work item is created based on a document, such as an interaction or task.
URL format
Versioned URL: /api/now/{api_version}/awa/consult/end
Default URL: /api/now/awa/consult/end
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| Name | Description |
|---|---|
| None |
| Name | Description |
|---|---|
| document_sys_id | Sys_id of the document associated with the consult work item. A document is any record in any table, such as an interaction, case, or incident. Data type: String |
| hand_over | Flag that indicates whether a consult transfer must be ended or transferred. Valid values:
注:
If the consult work item’s consult state is Requested, the state changes to Cancelled. Data type: Boolean |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response body. Supported types: application/json or application/xml.
Default: application/json |
| Content-Type | Data format of the request body. Supported types: application/json or application/xml.
Default: application/json |
| Header | Description |
|---|---|
| None |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 403 | Forbidden. Possible reasons:
|
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
Response body parameters (JSON or XML)
| Name | Description |
|---|---|
| success | Flag that indicates whether the ending consult is successful. Valid values:
Data type: Boolean |
| message | Success or failure information for the ending consult. Possible values:
Data type: String |
Sample cURL request
curl "https://instance.servicenow.com/api/now/awa/consult/end" \
--request PUT \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data '{
"document_sys_id": "59616aba87bd5210be070d48dabb35e6",
"hand_over": "true"
}' \
--user 'username':'password'
{
"result": {
"success": true,
"message": "Consult is successfully ended."
}
}